opencv: cv::WImageViewC< T, C > Class Template Reference

Public Types | Public Member Functions | Protected Attributes

# cv::WImageViewC< T, C > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageViewC< T, C >:

List of all members.

## Public Types
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
## Public Member Functions
WImageViewC & | operator= (const WImageC< T, C > &img)
WImageViewC & | operator= (const WImageViewC< T, C > &img)
| WImageViewC (T *data, int width, int height, int width_step=-1)
| WImageViewC (const WImageViewC< T, C > &img)
| WImageViewC (const WImageC< T, C > &img)
| WImageViewC (IplImage *img)
| WImageViewC ()
| WImageViewC (WImageC< T, C > *img, int c, int r, int width, int height)
virtual | ~WImageViewC ()
## Protected Attributes
IplImage | header_

### template<typename T, int C>
class cv::WImageViewC< T, C >

## Member Typedef Documentation

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageViewC< T, C >::BaseType

Reimplemented from cv::WImageC< T, C >.

## Member Enumeration Documentation

template<typename T, int C>

anonymous enum

Enumerator:

  kChannels |

## Constructor & Destructor Documentation

template<typename T , int C>

cv::WImageViewC< T, C >::WImageViewC | ( | ) |

template<typename T, int C>

virtual cv::WImageViewC< T, C >::~WImageViewC | ( | ) | `[inline, virtual]`

template<typename T , int C>

cv::WImageViewC< T, C >::WImageViewC | ( | WImageC< T, C > * | img,
|  | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

template<typename T , int C>

cv::WImageViewC< T, C >::WImageViewC | ( | T * | data,
|  | int | width,
|  | int | height,
|  | int | width_step = `-1`
| ) |  |

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | IplImage * | img ) | `[inline]`

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageC< T, C > & | img ) | `[inline]`

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageViewC< T, C > & | img ) | `[inline]`

## Member Function Documentation

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageC< T, C > & | img ) | `[inline]`

Reimplemented from cv::WImageC< T, C >.

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageViewC< T, C > & | img ) | `[inline]`

## Member Data Documentation

template<typename T, int C>

IplImage cv::WImageViewC< T, C >::header_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines